Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class Interpreter

    java.lang.Object
      org.codehaus.groovy.tools.shell.Interpreter

    class Interpreter

Helper to interpret a source buffer.

Authors:
  Jason Dillon

Version:
  \$Id\$

Property Summary
`static java.lang.String` | `SCRIPT_FILENAME`

Constructor Summary
`Interpreter(java.lang.ClassLoader classLoader, Binding binding)`

Method Summary
`java.lang.Object` | `evaluate(java.util.List buffer)`
`GroovyClassLoader` | `getClassLoader()`
`Binding` | `getContext()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### SCRIPT_FILENAME

    static final java.lang.String SCRIPT_FILENAME

Constructor Detail

### Interpreter

    Interpreter(java.lang.ClassLoader classLoader, Binding binding)

Method Detail

### evaluate

    java.lang.Object evaluate(java.util.List buffer)

### getClassLoader

    GroovyClassLoader getClassLoader()

### getContext

    Binding getContext()

Groovy Documentation